List conversation messages
curl --request GET \
--url https://api.ando.so/v1/conversations/{conversationId}/messages \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/conversations/{conversationId}/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"attachments": [],
"reactions": [
{
"emoji_text": ":thumbsup:",
"count": 2
}
],
"replies_count": 1,
"thread_root_id": null,
"created_at": "2026-05-14T08:00:00.000Z"
}
],
"page_info": {
"end_cursor": "2026-05-14T07:45:00.000Z",
"has_next_page": true,
"has_previous_page": false,
"next_cursor": "2026-05-14T08:00:00.000Z",
"start_cursor": "2026-05-14T08:00:00.000Z"
}
},
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"attachments": [],
"reactions": [
{
"emoji_text": ":thumbsup:",
"count": 2
}
],
"replies_count": 1,
"thread_root_id": null,
"created_at": "2026-05-14T08:00:00.000Z"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": false,
"startCursor": "2026-05-14T08:00:00.000Z",
"endCursor": "2026-05-14T07:45:00.000Z"
}
}List conversation messages
Returns messages in a conversation. Requires messages:read and access to the conversation.
GET
https://api.ando.so/v1
/
conversations
/
{conversationId}
/
messages
List conversation messages
curl --request GET \
--url https://api.ando.so/v1/conversations/{conversationId}/messages \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/conversations/{conversationId}/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"attachments": [],
"reactions": [
{
"emoji_text": ":thumbsup:",
"count": 2
}
],
"replies_count": 1,
"thread_root_id": null,
"created_at": "2026-05-14T08:00:00.000Z"
}
],
"page_info": {
"end_cursor": "2026-05-14T07:45:00.000Z",
"has_next_page": true,
"has_previous_page": false,
"next_cursor": "2026-05-14T08:00:00.000Z",
"start_cursor": "2026-05-14T08:00:00.000Z"
}
},
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"attachments": [],
"reactions": [
{
"emoji_text": ":thumbsup:",
"count": 2
}
],
"replies_count": 1,
"thread_root_id": null,
"created_at": "2026-05-14T08:00:00.000Z"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": false,
"startCursor": "2026-05-14T08:00:00.000Z",
"endCursor": "2026-05-14T07:45:00.000Z"
}
}Authorizations
AndoApiKeyBearerApiKey
Query Parameters
Response
Conversation messages.
Conversation messages response with the standard public data envelope plus legacy top-level aliases.